#ifndef XPATHNODETREE_H
#define XPATHNODETREE_H

#include "xasset.h"
#include "xpathnodetreeinfo.h"

class XPathNodeTree : public XAsset
{
public:
    explicit XPathNodeTree();
    ~XPathNodeTree();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

    int GetAxis() const;
    void SetAxis(int axis);

    float GetDist() const;
    void SetDist(float dist);

    XPathNodeTreeInfo* GetInfo() const;
    void SetInfo(XPathNodeTreeInfo* info);

private:
    int mAxis;
    float mDist;
    XPathNodeTreeInfo* mInfo;
};

#endif // XPATHNODETREE_H





